Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.gui
Class GuiScreen

    java.lang.Object
      net.minecraft.client.gui.Gui
          net.minecraft.client.gui.GuiScreen

Direct Known Subclasses:
  GuiAchievements, GuiChat, GuiCommandBlock, GuiConnecting, GuiContainer, GuiControls, GuiCreateFlatWorld, GuiCreateWorld, GuiDisconnected, GuiDownloadTerrain, GuiEditSign, GuiErrorScreen, GuiFlatPresets, GuiGameOver, GuiIngameMenu, GuiLanguage, GuiMainMenu, GuiMemoryErrorScreen, GuiModList, GuiModsMissingForServer, GuiMultiplayer, GuiOptions, GuiProgress, GuiRenameWorld, GuiScreenAddServer, GuiScreenBook, GuiScreenDemo, GuiScreenServerList, GuiSelectWorld, GuiShareToLan, GuiSnooper, GuiStats, GuiTexturePacks, GuiVideoSettings, GuiWinGame, GuiYesNo, ScreenChatOptions

    public class GuiScreen

extends Gui

Field Summary
`boolean` | `allowUserInput`
`static boolean` | `field_90017_e`
`GuiParticle` | `guiParticles`
`int` | `height` The height of the screen object.
`int` | `width` The width of the screen object.

Constructor Summary
`GuiScreen()`

Method Summary
`void` | `confirmClicked(boolean par1, int par2)`
`boolean` | `doesGuiPauseGame()` Returns true if this GUI should pause the game when it is displayed in single-player
`void` | `drawBackground(int par1)` Draws the background (i is always 0 as of 1.2.2)
`void` | `drawDefaultBackground()` Draws either a gradient over the background screen (when it exists) or a flat gradient over background.png
`void` | `drawScreen(int par1, int par2, float par3)` Draws the screen and all the components in it.
`void` | `drawWorldBackground(int par1)`
`static String` | `getClipboardString()` Returns a string stored in the system clipboard.
`void` | `handleInput()` Delegates mouse and keyboard input.
`void` | `handleKeyboardInput()` Handles keyboard input.
`void` | `handleMouseInput()` Handles mouse input.
`void` | `initGui()` Adds the buttons (and other controls) to the screen in question.
`static boolean` | `isCtrlKeyDown()`
`static boolean` | `isShiftKeyDown()`
`void` | `onGuiClosed()` Called when the screen is unloaded.
`static void` | `setClipboardString(String par0Str)` store a string in the system clipboard
`void` | `setWorldAndResolution(Minecraft par1Minecraft, int par2, int par3)` Causes the screen to lay out its subcomponents again.
`void` | `updateScreen()` Called from the main game loop to update the screen.

Methods inherited from class net.minecraft.client.gui.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### field_90017_e

    public static final boolean field_90017_e

### width

    public int width

  The width of the screen object.

### height

    public int height

  The height of the screen object.

### allowUserInput

    public boolean allowUserInput

### guiParticles

    public GuiParticle guiParticles

Constructor Detail

### GuiScreen

    public GuiScreen()

Method Detail

### drawScreen

    public void drawScreen(int par1,
                           int par2,
                           float par3)

  Draws the screen and all the components in it.

### getClipboardString

    public static String getClipboardString()

  Returns a string stored in the system clipboard.

### setClipboardString

    public static void setClipboardString(String par0Str)

  store a string in the system clipboard

### setWorldAndResolution

    public void setWorldAndResolution(Minecraft par1Minecraft,
                                      int par2,
                                      int par3)

  Causes the screen to lay out its subcomponents again. This is the equivalent of the Java call Container.validate()

### initGui

    public void initGui()

  Adds the buttons (and other controls) to the screen in question.

### handleInput

    public void handleInput()

  Delegates mouse and keyboard input.

### handleMouseInput

    public void handleMouseInput()

  Handles mouse input.

### handleKeyboardInput

    public void handleKeyboardInput()

  Handles keyboard input.

### updateScreen

    public void updateScreen()

  Called from the main game loop to update the screen.

### onGuiClosed

    public void onGuiClosed()

  Called when the screen is unloaded. Used to disable keyboard repeat events

### drawDefaultBackground

    public void drawDefaultBackground()

  Draws either a gradient over the background screen (when it exists) or a flat gradient over background.png

### drawWorldBackground

    public void drawWorldBackground(int par1)

### drawBackground

    public void drawBackground(int par1)

  Draws the background (i is always 0 as of 1.2.2)

### doesGuiPauseGame

    public boolean doesGuiPauseGame()

  Returns true if this GUI should pause the game when it is displayed in single-player

### confirmClicked

    public void confirmClicked(boolean par1,
                               int par2)

### isCtrlKeyDown

    public static boolean isCtrlKeyDown()

### isShiftKeyDown

    public static boolean isShiftKeyDown()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD